#include <bits/stdc++.h>

using namespace std;

int main ()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long n, k;
    cin >> n >> k;
    long long br = 0;
    
    for (long long i = 0; i < n; i++)
    {
        long long a;
        cin >> a;
        if (a == 1)
        {
            br ++;
        }
    }
    if (br >= 1)
    {
        cout << 1 << endl;
    }
    else 
    {
        cout << 0 << endl;
    }
}
